View Issue Details

IDProjectCategoryView StatusLast Update
0003583Raytracing[FreeCAD] Bugpublic2018-09-10 18:33
Reporteragre Assigned Towmayer  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version[FreeCAD] 0.18 
Target Version[FreeCAD] 0.18Fixed in Version[FreeCAD] 0.18 
Summary0003583: Using the raytracing WB crashes FreeCAD
DescriptionRaytracing WB doesnt work in the current nightlies.
https://forum.freecadweb.org/viewtopic.php?f=3&t=30629&p=253659#p253659
Steps To ReproduceCreate new file
Go to Raytracing WB
Select new project (doesn't matter if POV or Lux)
Freecad crashes
Additional InformationLog:
FreeCAD 0.18, Libs: 0.18R14498 (Git)
© Juergen Riegel, Werner Mayer, Yorik van Havre 2001-2018
  #####                 ####  ###   ####  
  #                    #      # #   #   # 
  #     ##  #### ####  #     #   #  #   # 
  ####  # # #  # #  #  #     #####  #   # 
  #     #   #### ####  #    #     # #   # 
  #     #   #    #     #    #     # #   #  ##  ##  ##
  #     #   #### ####   ### #     # ####   ##  ##  ##

QInotifyFileSystemWatcherEngine::addPaths: inotify_add_watch failed: Datei oder Verzeichnis nicht gefunden
Program received signal SIGSEGV, Segmentation fault.
#0  /lib/x86_64-linux-gnu/libc.so.6(+0x3ef20) [0x7f1dde9aef20]
#1  0x7f1ddf4a5868 in QObject::property(char const*) const from /usr/lib/x86_64-linux-gnu/libQtCore.so.4+0x18
0000002  0x7f1d10e4ba44 in CmdRaytracingNewPovrayProject::activated(int) from /usr/lib/freecad-daily/lib/RaytracingGui.so+0x194
0000003  0x7f1de1634f3b in Gui::Command::invoke(int) from /usr/lib/freecad-daily/lib/libFreeCADGui.so+0x7b
0000004  0x7f1de1623b23 in Gui::ActionGroup::onActivated() from /usr/lib/freecad-daily/lib/libFreeCADGui.so+0x43
0000005  0x7f1ddf4a5f70 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) from /usr/lib/x86_64-linux-gnu/libQtCore.so.4+0x4d0
0000006  0x7f1ddf9b7dc2 in QAction::triggered(bool) from /usr/lib/x86_64-linux-gnu/libQtGui.so.4+0x42
0000007  0x7f1ddf9b9113 in QAction::activate(QAction::ActionEvent) from /usr/lib/x86_64-linux-gnu/libQtGui.so.4+0x83
0000008  /usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x5a0fa3) [0x7f1ddfd99fa3]
0000009  0x7f1ddfd9a0f4 in QAbstractButton::mouseReleaseEvent(QMouseEvent*) from /usr/lib/x86_64-linux-gnu/libQtGui.so.4+0x74
0000010  0x7f1ddfe600aa in QToolButton::mouseReleaseEvent(QMouseEvent*) from /usr/lib/x86_64-linux-gnu/libQtGui.so.4+0xa
0000011  0x7f1ddfa14930 in QWidget::event(QEvent*) from /usr/lib/x86_64-linux-gnu/libQtGui.so.4+0x2a0
0000012  0x7f1ddf9be03c in QApplicationPrivate::notify_helper(QObject*, QEvent*) from /usr/lib/x86_64-linux-gnu/libQtGui.so.4+0x8c
0000013  0x7f1ddf9c5136 in QApplication::notify(QObject*, QEvent*) from /usr/lib/x86_64-linux-gnu/libQtGui.so.4+0x476
0000014  0x7f1de160a1d8 in Gui::GUIApplication::notify(QObject*, QEvent*) from /usr/lib/freecad-daily/lib/libFreeCADGui.so+0x88
0000015  0x7f1ddf4918ad in QCoreApplication::notifyInternal(QObject*, QEvent*) from /usr/lib/x86_64-linux-gnu/libQtCore.so.4+0x8d
0000016  0x7f1ddf9c473d in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&, bool) from /usr/lib/x86_64-linux-gnu/libQtGui.so.4+0x14d
0000017  /usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x249452) [0x7f1ddfa42452]
0000018  0x7f1ddfa41ce3 in QApplication::x11ProcessEvent(_XEvent*) from /usr/lib/x86_64-linux-gnu/libQtGui.so.4+0x16b3
0000019  /usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x272592) [0x7f1ddfa6b592]
0000020  /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_context_dispatch+0x2e7) [0x7f1dd803c287]
0000021  /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0(+0x4c4c0) [0x7f1dd803c4c0]
0000022  /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_context_iteration+0x2c) [0x7f1dd803c54c]
0000023  0x7f1ddf4c220e in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) from /usr/lib/x86_64-linux-gnu/libQtCore.so.4+0x7e
0000024  /usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x272666) [0x7f1ddfa6b666]
0000025  0x7f1ddf49012f in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) from /usr/lib/x86_64-linux-gnu/libQtCore.so.4+0x3f
0000026  0x7f1ddf490495 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) from /usr/lib/x86_64-linux-gnu/libQtCore.so.4+0x1b5
0000027  0x7f1ddf496459 in QCoreApplication::exec() from /usr/lib/x86_64-linux-gnu/libQtCore.so.4+0x99
0000028  0x7f1de15bae45 in Gui::Application::runApplication() from /usr/lib/freecad-daily/lib/libFreeCADGui.so+0x1895
0000029  freecad-daily(main+0x6db) [0x55efed23741b]
0000030  /lib/x86_64-linux-gnu/libc.so.6(__libc_start_main+0xe7) [0x7f1dde991b97]
0000031  freecad-daily(_start+0x2a) [0x55efed2385ca]

FreeCAD 0.18, Libs: 0.18R14498 (Git)
© Juergen Riegel, Werner Mayer, Yorik van Havre 2001-2018
  #####                 ####  ###   ####  
  #                    #      # #   #   # 
  #     ##  #### ####  #     #   #  #   # 
  ####  # # #  # #  #  #     #####  #   # 
  #     #   #### ####  #    #     # #   # 
  #     #   #    #     #    #     # #   #  ##  ##  ##
  #     #   #### ####   ### #     # ####   ##  ##  ##

QInotifyFileSystemWatcherEngine::addPaths: inotify_add_watch failed: Datei oder Verzeichnis nicht gefunden
Program received signal SIGSEGV, Segmentation fault.
#0  /lib/x86_64-linux-gnu/libc.so.6(+0x3ef20) [0x7f1dde9aef20]
#1  0x7f1ddf4a5868 in QObject::property(char const*) const from /usr/lib/x86_64-linux-gnu/libQtCore.so.4+0x18
0000002  0x7f1d10e4ba44 in CmdRaytracingNewPovrayProject::activated(int) from /usr/lib/freecad-daily/lib/RaytracingGui.so+0x194
0000003  0x7f1de1634f3b in Gui::Command::invoke(int) from /usr/lib/freecad-daily/lib/libFreeCADGui.so+0x7b
0000004  0x7f1de1623b23 in Gui::ActionGroup::onActivated() from /usr/lib/freecad-daily/lib/libFreeCADGui.so+0x43
0000005  0x7f1ddf4a5f70 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) from /usr/lib/x86_64-linux-gnu/libQtCore.so.4+0x4d0
0000006  0x7f1ddf9b7dc2 in QAction::triggered(bool) from /usr/lib/x86_64-linux-gnu/libQtGui.so.4+0x42
0000007  0x7f1ddf9b9113 in QAction::activate(QAction::ActionEvent) from /usr/lib/x86_64-linux-gnu/libQtGui.so.4+0x83
0000008  /usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x5a0fa3) [0x7f1ddfd99fa3]
0000009  0x7f1ddfd9a0f4 in QAbstractButton::mouseReleaseEvent(QMouseEvent*) from /usr/lib/x86_64-linux-gnu/libQtGui.so.4+0x74
0000010  0x7f1ddfe600aa in QToolButton::mouseReleaseEvent(QMouseEvent*) from /usr/lib/x86_64-linux-gnu/libQtGui.so.4+0xa
0000011  0x7f1ddfa14930 in QWidget::event(QEvent*) from /usr/lib/x86_64-linux-gnu/libQtGui.so.4+0x2a0
0000012  0x7f1ddf9be03c in QApplicationPrivate::notify_helper(QObject*, QEvent*) from /usr/lib/x86_64-linux-gnu/libQtGui.so.4+0x8c
0000013  0x7f1ddf9c5136 in QApplication::notify(QObject*, QEvent*) from /usr/lib/x86_64-linux-gnu/libQtGui.so.4+0x476
0000014  0x7f1de160a1d8 in Gui::GUIApplication::notify(QObject*, QEvent*) from /usr/lib/freecad-daily/lib/libFreeCADGui.so+0x88
0000015  0x7f1ddf4918ad in QCoreApplication::notifyInternal(QObject*, QEvent*) from /usr/lib/x86_64-linux-gnu/libQtCore.so.4+0x8d
0000016  0x7f1ddf9c473d in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&, bool) from /usr/lib/x86_64-linux-gnu/libQtGui.so.4+0x14d
0000017  /usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x249452) [0x7f1ddfa42452]
0000018  0x7f1ddfa41ce3 in QApplication::x11ProcessEvent(_XEvent*) from /usr/lib/x86_64-linux-gnu/libQtGui.so.4+0x16b3
0000019  /usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x272592) [0x7f1ddfa6b592]
0000020  /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_context_dispatch+0x2e7) [0x7f1dd803c287]
0000021  /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0(+0x4c4c0) [0x7f1dd803c4c0]
0000022  /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_context_iteration+0x2c) [0x7f1dd803c54c]
0000023  0x7f1ddf4c220e in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) from /usr/lib/x86_64-linux-gnu/libQtCore.so.4+0x7e
0000024  /usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x272666) [0x7f1ddfa6b666]
0000025  0x7f1ddf49012f in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) from /usr/lib/x86_64-linux-gnu/libQtCore.so.4+0x3f
0000026  0x7f1ddf490495 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) from /usr/lib/x86_64-linux-gnu/libQtCore.so.4+0x1b5
0000027  0x7f1ddf496459 in QCoreApplication::exec() from /usr/lib/x86_64-linux-gnu/libQtCore.so.4+0x99
0000028  0x7f1de15bae45 in Gui::Application::runApplication() from /usr/lib/freecad-daily/lib/libFreeCADGui.so+0x1895
0000029  freecad-daily(main+0x6db) [0x55efed23741b]
0000030  /lib/x86_64-linux-gnu/libc.so.6(__libc_start_main+0xe7) [0x7f1dde991b97]
0000031  freecad-daily(_start+0x2a) [0x55efed2385ca]
TagsRaytracing

Activities

wmayer

2018-09-10 18:33

administrator   ~0011708

A crash can occur if FreeCAD can't find its pre-installed template files.

https://github.com/FreeCAD/FreeCAD/commit/a93c893dc1fa63dec2180a2a970cb022fdedf094

Issue History

Date Modified Username Field Change
2018-09-05 07:23 agre New Issue
2018-09-06 12:26 Kunda1 Tag Attached: Raytracing
2018-09-06 12:28 Kunda1 Status new => confirmed
2018-09-06 12:28 Kunda1 Target Version => 0.18
2018-09-10 18:33 wmayer Assigned To => wmayer
2018-09-10 18:33 wmayer Status confirmed => closed
2018-09-10 18:33 wmayer Resolution open => fixed
2018-09-10 18:33 wmayer Fixed in Version => 0.18
2018-09-10 18:33 wmayer Note Added: 0011708